## beneath-a-steel-sky 0.0372

=== Makefile ===
# This worked for me
# Sorry if it doesn't work for you, but I don't know how to write Makefiles.
# After all, I'm only a windows user.
# I would've liked to test it on linux, but I couldn't find the Start button.

TARGET=TXT2CPT
OBJS=AsciiCptCompile.o cptcompiler.o cpthelp.o idFinder.o KmpSearch.o stdafx.o TextFile.o

all: $(TARGET)

clean:
	rm -f $(TARGET) $(OBJS)

$(TARGET): $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) -o $(TARGET)

%.o: %.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $@

=== debian/changelog ===
beneath-a-steel-sky (0.0372-9) unstable; urgency=medium

  * Team Upload
  * Load on Salsa
  * Trim d/rules by using execute_after_* & execute_before_*

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 15:00:14 +0100

beneath-a-steel-sky (0.0372-8) unstable; urgency=medium

  * Switch to debhelper-compat 13
  * Bump standards version
  * Set RRR=no

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 26 Dec 2020 00:32:03 +0100

beneath-a-steel-sky (0.0372-7) unstable; urgency=medium

  * Team upload.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Drop deprecated menu file and xpm icon.
  * Use https for Format field.
  * Enable subtitles by default only when the environment language is not
    English. (Closes: #835211)
  * Use secure upstream URL.

 -- Markus Koschany <apo@debian.org>  Tue, 13 Mar 2018 22:22:34 +0100

beneath-a-steel-sky (0.0372-6) unstable; urgency=low

  * The SVG icon should be installed in the scalable directory,
    not in a resolution specific location. (Closes: #778684)
  * Add fr.po file.
    | Thanks to Alexandre Detiste for providing a patch
  * Added support for the alternate language versions of the game
    (the game supports English, French, German, Italian, and Spanish).
    (Closes: #787943)
    | Thanks to Alexandre Detiste for providing a patch
  * Updated manual pages to include the new command line options.
  * Bumped Standards-Version to 3.9.6 (no changes needed).
  * Fixed lintian warning.

 -- David Weinehall <tao@debian.org>  Fri, 31 Jul 2015 17:41:15 +0300

beneath-a-steel-sky (0.0372-5) unstable; urgency=low

  * Team upload.
  * Really switch to package format 3.0 (quilt) and rename the format directory
    to source. Include the skycpt directory in a separate source tarball
    instead of using the old source format 1.0 (diff).
  * debian/control:
    - Add homepage field.
    - Update compatibility level to 9 and require debhelper >= 9.
    - Update Standards-Version to 3.9.4, no changes necessary.
    - Change short description and emphasize that BASS is a point and click
      game. This also fixes lintian warning "description synopsis starts with
      article".
  * beneath-a-steel-sky.desktop: Remove deprecated UTF-8 Encoding key. Thanks
    Pino Toscano for the patch. (Closes: #638997)
  * beneath-a-steel-sky.desktop: Add comment in German and keywords.
  * Rename beneath-a-steel-sky.lintian to beneath-a-steel-sky.lintian-overrides
    and override desktop-command-not-in-package and menu-command-not-in-package
    because BASS is a content package launched by ScummVM.
  * Add longtitle and icon to beneath-a-steel-sky.menu.
  * Update debian/copyright to copyright format 1.0.
  * Add new hicolor and xpm icon. Thanks to Christian Dannie Storgaard.
    (LP: #465264)
  * debian/rules:
    - Fix lintian warning: debian-rules-missing-recommended-target by using dh
      sequencer to simplify the rules file.
  * Add de.po file and translate the sky commands into German.
  * Add German manpage.

 -- Markus Koschany <apo@gambaru.de>  Fri, 15 Feb 2013 16:37:47 +0100

beneath-a-steel-sky (0.0372-4) unstable; urgency=low

  * Move to Debian Games Team, add David and myself as Uploaders
  * Switch to source format 3
  * Update standards version and debhelper level
  * Remove outdated versioned depends
  * Add a README.Debian explaining why beneath-a-steel-sky
    is in main (Closes: #583702)
  * Lintian cleanups
  * Add desktop file by Phil Bull (Closes: #403869)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 29 Jun 2010 00:44:10 +0200

beneath-a-steel-sky (0.0372-3) unstable; urgency=low

  * debian/control: Move debhelper to Build-Depends.
  * debian/control: Bumped Standards-Version to 3.7.2 (no changes needed).

 -- David Weinehall <tao@debian.org>  Wed, 20 Dec 2006 03:10:09 +0200

beneath-a-steel-sky (0.0372-2) unstable; urgency=low

  * New maintainer.
  * Added lintian override for "menu-command-not-in-package".
  * Added Swedish version of the manual page.
  * Bumped Standards-Version to 3.6.2.2 (no changes needed).
  * Added gettext-support to /usr/games/sky + Swedish translation.
  * debian/rules: Various simplifications.
  * skycpt/Makefile: Added missing newline.

 -- David Weinehall <tao@debian.org>  Thu,  2 Feb 2006 15:24:56 +0200

beneath-a-steel-sky (0.0372-1) unstable; urgency=low

  * New upstream release:
      - Includes the file sky.cpt, which is required for play with ScummVM
        versions 0.8.0 or above.  Closes: #301445.

  * debian/rules:
      - Updated to ensure that the sky.cpt file is included in the package.

  * debian/control:
      - Increment Standards-Version to 3.6.2.1, no changes required.

  * debian/sky:
      - Updated --version output for the new upstream release.

  * skycpt/*:
      - Added the tools that may be used for building the sky.cpt file.

 -- Tore Anderson <tore@debian.org>  Tue, 15 Nov 2005 13:30:13 +0100

beneath-a-steel-sky (0.0368-3) unstable; urgency=low

  * debian/sky (new), debian/sky.6 (new), debian/beneath-a-steel-sky.dirs,
    debian/beneath-a-steel-sky.manpages (new), debian/rules:
      - Install a wrapper script in /usr/games/sky, closes: #222503.
        This is ripped from David Weinehall's "queen" script.

  * debian/control:
      - Mention the fact that this package merely contains game data for
        ScummVM, closes: #245382.

 -- Tore Anderson <tore@debian.org>  Sat, 10 Jul 2004 15:48:41 +0200

beneath-a-steel-sky (0.0368-2) unstable; urgency=low

  * debian/rules, debian/menu (new):
    - Install an entry in the Debian menu system, closes: #208379.
  * debian/control:
    - Up Standards-Version to 3.6.1.0, no changes required.
    - Change my email address.

 -- Tore Anderson <tore@debian.org>  Sun, 26 Oct 2003 17:54:03 +0100

beneath-a-steel-sky (0.0368-1) unstable; urgency=low

  * Initial release, closes: #203862.
  * Sponsored by David Weinehall.

 -- Tore Anderson <tore@linpro.no>  Fri, 15 Aug 2003 16:24:00 +0200

=== debian/control ===
Source: beneath-a-steel-sky
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Build-Depends: debhelper-compat (= 13), gettext
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.scummvm.org
Vcs-Git: https://salsa.debian.org/games-team/beneath-a-steel-sky.git
Vcs-Browser: https://salsa.debian.org/games-team/beneath-a-steel-sky

Package: beneath-a-steel-sky
Architecture: all
Depends: scummvm, ${misc:Depends}
Description: classic 2D point and click science fiction adventure game
 A science-fiction thriller set in a bleak post-apocalyptic vision
 of the future, Beneath a Steel Sky revolves around "Union City",
 where selfishness, rivalry, and corruption by its citizens seems to
 be all too common, those who can afford it live underground, away
 from the pollution and social problems which are plaguing the city.
 .
 You take on the role of Robert Foster, an outcast of sorts from the
 city since a boy who was raised in a remote environment outside of
 Union City simply termed "the gap".  Robert's mother took him away
 from Union City as a child on their way to "Hobart" but the helicopter
 crashed on its way, unfortunately Robert's mother dies, but he
 survives and is left to be raised by a local tribe from the gap.
 .
 Years later, Union City security drops by and abducts Robert, killing
 his tribe in the process; upon reaching the city the helicopter taking
 him there crashes with him escaping, high upon a tower block in the
 middle of the city he sets out to discover the truth about his past,
 and to seek vengeance for the killing of his tribe.
 .
 Note that this package only contains game-data.  The game engine is
 provided by ScummVM.

=== debian/rules ===
#! /usr/bin/make -f

LINGUAS = de fr sv
package = beneath-a-steel-sky
podir = $(CURDIR)/debian/po
localedir = /usr/share/locale

$(podir)/templates.pot:
	xgettext \
	  --language=Shell \
	  --copyright-holder="" \
	  --output=$(podir)/templates.pot \
	  $(CURDIR)/debian/sky

%:
	dh $@

override_dh_auto_build:
	for lang in $(LINGUAS); do \
	  msgfmt -c -v --statistics -o $(podir)/$$lang.mo $(podir)/$$lang.po; \
	done

execute_after_dh_clean:
	dh_clean $(podir)/*.mo

execute_before_dh_install:
	for lang in $(LINGUAS); do \
		dir=$(localedir)/$$lang/LC_MESSAGES/; \
		dh_installdirs $$dir; \
		cp $(podir)/$$lang.mo \
		$(CURDIR)/debian/$(package)$$dir/sky.mo; \
	done
